# Copyright (C) 2012 Felix Geyer <debfx@ubuntu.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 or (at your option)
# version 3 of the License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import os
import ConfigParser

def parseConfig(section):
    config = ConfigParser.ConfigParser()
    config.read(os.path.dirname(__file__) + "/kubuntuweb.conf")
    items = config.items(section)
    configDict = {}
    for item in items:
        configDict[item[0]] = item[1]
    return configDict

def parsePackageList():
    f = open(os.path.dirname(__file__) + "/kubuntu-buildstatus-packages.txt", "r")
    packages = []
    for line in f:
        line = line.strip("\r\n\t ")
        if (len(line) != 0) and (line[0] != "#"):
            packages.append(line)
    return packages

def pgsqlConnect():
    import psycopg2
    config = parseConfig("common")
    return psycopg2.connect("dbname=%s user=%s password=%s" % (config["dbname"], config["dbuser"], config["dbpassword"]))

def lpTmpDir():
    return os.path.expanduser(parseConfig("common")["lptmpdir"])

def aptTmpDir():
    return os.path.expanduser(parseConfig("common")["apttmpdir"])

# kate: space-indent on; indent-width 4; replace-tabs on; indent-mode python; remove-trailing-space on;
